<div *ngIf="correction" >
	You provided<b> {{ correction.nbBonneReponse }} / {{correction.nbQuestion}}</b> good answers
	in <b> {{ correction.temps | number : '1.1-1'}} </b> seconds in difficulty <b>{{correction.difficulte}}</b> ! <br>


	<div *ngIf="! this.winner">
		<h3> You Scored {{ correction.score }} ! </h3>
	</div>
	<div *ngIf=" this.winner">
		<h3> You Scored {{ correction.score }}, your opponent scored {{correction.srcScore}} ! </h3>
	</div>


	<div *ngIf="this.winner">

		<button *ngIf=" !this.winner.statut_connexion" style="text-align:left" [routerLink]="['/user',this.winner.id,0]" class="btn btn-secondary btn-block mt-2" >

			<img *ngIf="this.winner.avatar" 
			 		[src]="this.winner.avatar" 
		            class="rounded mw-10 mh-10"
		            style=" max-height:50px;max-width:50px;"
		            alt="Personnal Icon">

			<img *ngIf="!this.winner.avatar" 
					[src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
		            class="rounded mw-10 mh-10"
		            style=" max-height:50px;max-width:50px;"
		            alt="Default Icon">
		    <!-- Consomme beaucoup de donnée réseau --> 
		    <b> {{ this.winner.nom + " " + this.winner.prenom }} </b>
		</button>
		<button *ngIf=" this.winner.statut_connexion" style="text-align:left" [routerLink]="['/user',this.winner.id,0]" class="btn btn-success btn-block mt-2" >

		    <img *ngIf="this.winner.avatar" 
			 		[src]="this.winner.avatar" 
		            class="rounded mw-10 mh-10"
		            style=" max-height:50px;max-width:50px;"
		            alt="Personnal Icon">

			<img *ngIf="!this.winner.avatar" 
					[src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
		            class="rounded mw-10 mh-10"
		            style=" max-height:50px;max-width:50px;"
		            alt="Default Icon">
		    <!-- Consomme beaucoup de donnée réseau --> 
		    <b> {{ this.winner.nom + " " + this.winner.prenom }} </b> won this challenge !
		</button>
	</div>

	<br>
	 
	<div  *ngFor="let corr of correction.correction; let i = index">

		<button (click)="openDialog(corr.anecdote)" *ngIf="! corr.correction" class="btn btn-success btn-block">
			Question n°{{i+1}} <b> {{corr.question}} </b>  <br>
			Answer :	<b> {{corr.reponse}} </b> is correct !<br>
		</button>
		
		<button (click)="openDialog(corr.anecdote)" *ngIf=" corr.correction" class="btn btn-danger btn-block">
			Question n°{{i+1}} <b> {{corr.question}} </b>  <br>
			Answer :	<b> {{corr.reponse}} </b> <br>
			Correction : <b> {{corr.correction}} </b> 
		</button>

	</div>
</div>